Bug 465617 - Review Request: gromacs3 - a Molecular Dynamics package
Review Request: gromacs3 - a Molecular Dynamics package
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-04 13:10 EDT by Susi Lehtola
Modified: 2008-10-17 14:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-10 09:40:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2008-10-04 13:10:31 EDT
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/gromacs3.spec

SRPM URL: 
http://theory.physics.helsinki.fi/~jzlehtol/rpms/gromacs3-3.3.3-1.fc9.src.rpm

Description:
GROMACS is a versatile and extremely well optimized package
to perform molecular dynamics computer simulations and
subsequent trajectory analysis. It is developed for
biomolecules like proteins, but the extremely high
performance means it is used also in several other field
like polymer chemistry and solid state physics.


The package gromacs3 provides the older stable release series of GROMACS, and is based on the specfile of the gromacs package.

gromacs package review at https://bugzilla.redhat.com/show_bug.cgi?id=464424
Comment 3 Susi Lehtola 2008-10-08 06:45:55 EDT
Added conflict to module file.

gromacs3.x86_64: W: no-documentation
gromacs3-bash.x86_64: W: no-documentation
gromacs3-bash.x86_64: W: conffile-without-noreplace-flag /etc/bash_completion.d/gromacs3
gromacs3-common.x86_64: W: conffile-without-noreplace-flag /etc/modulefiles/gromacs3
gromacs3-csh.x86_64: W: summary-not-capitalized csh GROMACS support
gromacs3-devel.x86_64: W: no-documentation
gromacs3-devel.x86_64: E: only-non-binary-in-usr-lib
gromacs3-libs.x86_64: W: no-documentation
gromacs3-mpi.x86_64: W: no-documentation
gromacs3-mpi-devel.x86_64: W: no-documentation
gromacs3-mpi-devel.x86_64: E: only-non-binary-in-usr-lib
gromacs3-mpi-libs.x86_64: W: no-documentation
gromacs3-tutor.x86_64: W: no-documentation
gromacs3-zsh.x86_64: W: no-documentation
gromacs3-zsh.x86_64: W: summary-not-capitalized zsh GROMACS support
12 packages and 1 specfiles checked; 2 errors, 13 warnings.

http://theory.physics.helsinki.fi/~jzlehtol/rpms/gromacs3.spec
http://theory.physics.helsinki.fi/~jzlehtol/rpms/gromacs3-3.3.3-4.fc9.src.rpm
Comment 4 Susi Lehtola 2008-10-10 09:40:22 EDT
I've contacted upstream. Gromacs 4 can read the files made with gromacs 3, thus eliminating the need for a separate package for gromacs 3. Also, now that Gromacs 4 is out there won't be any more updates for Gromacs 3.

Closing request, since the package gromacs does everything that is needed.

Note You need to log in before you can comment on or make changes to this bug.